# parameterizedBy

fun Class <*>. parameterizedBy (vararg arguments: TypeMatcher ): ParameterizedTypeMatcher

Creates a ParameterizedTypeMatcher for a specific Class type with the given type arguments.

#### Receiver

Class

#### Return

ParameterizedTypeMatcher

#### Parameters

arguments

the type arguments for the parameterized type.

fun KClass <*>. parameterizedBy (vararg arguments: TypeMatcher ): ParameterizedTypeMatcher

Creates a ParameterizedTypeMatcher for a specific KClass.java type with the given type arguments.

#### Receiver

KClass

#### Return

ParameterizedTypeMatcher

#### Parameters

arguments

the type arguments for the parameterized type.